package com.nidefawl.Achievements.Commands;

import nijikokun.register.payment.Method.MethodAccount;
import org.bukkit.entity.Player;
import com.nidefawl.Achievements.Achievements;
import com.nidefawl.Achievements.Messaging.AchMessaging;

public class AchCommandMoney {

	public static boolean handleCommand(Achievements plugin, Player player, String[] s) {
		if (s.length < 2) {
			Achievements.LogError("Bad command (not enough arguments) correct is: money amount");
			return false;
		}
		double amount = 0;
		try {
			amount = Double.parseDouble(s[1]);
		} catch (NumberFormatException ex2) {
			try {
				amount = Integer.parseInt(s[1]);
			} catch (NumberFormatException ex) {
				Achievements.LogError("Bad command '" + s[0] + " " + s[1] + " " + s[2] + "'(amount is not a number) correct is: money amount");
				return false;
			}
		}
		if (!plugin.currencyMethod.hasMethod() && !plugin.currencyMethod.setMethod(plugin)) {
			Achievements.LogError("Didnt find a money plugin");
			return false;
		}
		String currency = "Coins";
		MethodAccount acc = plugin.currencyMethod.getMethod().getAccount(player.getName());
		if(acc == null)  {
			Achievements.LogError("Player '"+player.getName()+"' does not have an account");
			return false;
		}
		acc.add(amount);
		if (amount > 0)
			AchMessaging.send(player, plugin.color + "Reward: &f" + amount + " &2" + currency);
		else
			AchMessaging.send(player, plugin.color + "Penalty: &f" + amount + " &2" + currency);
		return true;
	}
}
